#--------------------------------------------------------------
procedure myex3( imlist )
#--------------------------------------------------------------
string  imlist  {prompt = "Input images"}

string  ovssect="5:1020,1030:1070" {prompt = "overscan image section"}

struct  *flist
struct  *olist

begin
    string  filelist, tmpfile1, tmpfile2
    string  fname, outname
    real    ovalue

    task $sed = $foreign

    filelist = imlist
    ovalue = 0.0

    tmpfile1 = mktemp( "tmp$os_tmp." )
    tmpfile2 = mktemp( "tmp$os_tmp." )
    
    sections( filelist, option="full", > tmpfile1 )
    sections( "@"//tmpfile1//"//.O", option="full", > tmpfile2) 

    flist = tmpfile1
    olist = tmpfile2

    while( fscan( flist, fname ) == 1 ) {
        imstatistics( fname//"["//ovssect//"]", fields="mean", format-, lower=INDEF,\
            upper=INDEF, nclip=10, lsigma=3., usigma=3.) | scan(ovalue)

        if( fscan( olist, outname ) == 1)
            imarith( fname, "-", ovalue, outname, pixtype="real", ver+)
    }
    delete( tmpfile1, ver-, >& "dev$null" )
    delete( tmpfile2, ver-, >& "dev$null" )
end
