#--------------------------------------------------------------
procedure sphotoex ( images )
#--------------------------------------------------------------
string images       {prompt = "Input images => "}
#
struct *flist
#--------------------------------------------------------------
begin
    int    xx1, yy1, xx2, yy2, wcs
    real   pix, mean, phot
    string tmpfile1
    string inim, fname
    string command, key

    inim = images
        
    tmpfile1 = mktemp( "tmp$shimg." )

    sections( inim, option="fullname", > tmpfile1 )

    flist = tmpfile1

    while( fscan( flist, fname ) != EOF) {
        display( fname, 1 )
        print("Click bottom-left corner of region")
        if( fscan( imcur, xx1, yy1, wcs, command ) != EOF ) {
            key = substr( command, 1, 1 )
            if( key == "q" )
                break
            else 
                printf( " Clicked position is %.1f %.1f\n", xx1, yy1 )
        }      
        print("Click top-right corner of region")
        if( fscan( imcur, xx2, yy2, wcs, command ) != EOF ) {
            key = substr( command, 1, 1 )
            if( key == "q" )
                break
            else 
                printf( " Clicked position is %.1f %.1f\n", xx2, yy2 )
        }      

        if( xx2 < xx1 ) {
            x = xx1
            xx1 = xx2
            xx2 = x
        }
        if( yy2 < yy1 ) {
            y = yy1
            yy1 = yy2
            yy2 = y
        }

        imstatistics( fname//"["//xx1//":"//xx2//","//yy1//":"//yy2//"]", \
                      field="npix,mean", format- ) | scan(pix, mean) 
        phot = pix * mean

        printf( "==>  Total count is %.2f\n", phot )
    }

    del( tmpfile1, ver-, >&"dev$null" )

end
